Server Client Permission
Get a single OauthServerClientPermission
GET/api/opendata/oauth/server_clients_permission/{clientIdentifier}
Path parameters
clientIdentifierrequiredstring |
Responses
200Get a single OauthServerClientPermissionOauthServerClientPermission
Show fields (6)
idintegerPrimary key of the client permission. Internal ID.
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
is_dgbooleanWhether the permission applies to the DG (member organization) context.
selected_customerCustomerProfileCustomer profile the permission is limited to.
Show fields (6)
idintegerPrimary key of the customer profile. Internal ID.
slackchannelstringSlack channel of the customer profile.
displaynamestringName shown for the customer profile.
deletedbooleanWhether the customer profile is deleted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/oauth_server_client_permission_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OauthServerClientPermissionController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"scopes": "string",
"active": true,
"is_dg": true,
"selected_customer": {
"id": 42,
"slackchannel": "string",
"displayname": "string",
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
}Creates a single OauthServerClientPermission
POST/api/opendata/oauth/server_clients_permission/{clientIdentifier}
Path parameters
clientIdentifierrequiredstring |
Request body application/json
dataOauthServerClientPermission2Show fields (2)
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
Responses
200Creates a single OauthServerClientPermissionOauthServerClientPermission
Show fields (6)
idintegerPrimary key of the client permission. Internal ID.
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
is_dgbooleanWhether the permission applies to the DG (member organization) context.
selected_customerCustomerProfileCustomer profile the permission is limited to.
Show fields (6)
idintegerPrimary key of the customer profile. Internal ID.
slackchannelstringSlack channel of the customer profile.
displaynamestringName shown for the customer profile.
deletedbooleanWhether the customer profile is deleted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"scopes": "string",
"active": true
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {scopes: 'string', active: true}})
};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
payload = { "data": {
"scopes": "string",
"active": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', [
'body' => '{"data":{"scopes":"string","active":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"scopes\":\"string\",\"active\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"scopes\":\"string\",\"active\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
payload := strings.NewReader("{\"data\":{\"scopes\":\"string\",\"active\":true}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/oauth_server_client_permission_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/oauth_server_client_permission.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OauthServerClientPermissionController.post('42', OauthServerClientPermission.fromJson({
"scopes": "string",
"active": true
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"scopes": "string",
"active": true,
"is_dg": true,
"selected_customer": {
"id": 42,
"slackchannel": "string",
"displayname": "string",
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
}Updates a single OauthServerClientPermission
PUT/api/opendata/oauth/server_clients_permission/{clientIdentifier}
Path parameters
clientIdentifierrequiredstring |
Request body application/json
dataOauthServerClientPermission2Show fields (2)
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
Responses
200Updates a single OauthServerClientPermissionOauthServerClientPermission
Show fields (6)
idintegerPrimary key of the client permission. Internal ID.
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
is_dgbooleanWhether the permission applies to the DG (member organization) context.
selected_customerCustomerProfileCustomer profile the permission is limited to.
Show fields (6)
idintegerPrimary key of the customer profile. Internal ID.
slackchannelstringSlack channel of the customer profile.
displaynamestringName shown for the customer profile.
deletedbooleanWhether the customer profile is deleted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"scopes": "string",
"active": true
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {scopes: 'string', active: true}})
};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
payload = { "data": {
"scopes": "string",
"active": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', [
'body' => '{"data":{"scopes":"string","active":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"scopes\":\"string\",\"active\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"scopes\":\"string\",\"active\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
payload := strings.NewReader("{\"data\":{\"scopes\":\"string\",\"active\":true}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/oauth_server_client_permission_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/oauth_server_client_permission.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OauthServerClientPermissionController.put('42', OauthServerClientPermission.fromJson({
"scopes": "string",
"active": true
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"scopes": "string",
"active": true,
"is_dg": true,
"selected_customer": {
"id": 42,
"slackchannel": "string",
"displayname": "string",
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
}Updates a single OauthServerClientPermission
PATCH/api/opendata/oauth/server_clients_permission/{clientIdentifier}
Path parameters
clientIdentifierrequiredstring |
Request body application/json
dataOauthServerClientPermission2Show fields (2)
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
Responses
200Updates a single OauthServerClientPermissionOauthServerClientPermission
Show fields (6)
idintegerPrimary key of the client permission. Internal ID.
scopesstringComma-separated list of granted scopes.
activebooleanWhether the permission is active.
is_dgbooleanWhether the permission applies to the DG (member organization) context.
selected_customerCustomerProfileCustomer profile the permission is limited to.
Show fields (6)
idintegerPrimary key of the customer profile. Internal ID.
slackchannelstringSlack channel of the customer profile.
displaynamestringName shown for the customer profile.
deletedbooleanWhether the customer profile is deleted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"scopes": "string",
"active": true
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {scopes: 'string', active: true}})
};
fetch('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
payload = { "data": {
"scopes": "string",
"active": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42', [
'body' => '{"data":{"scopes":"string","active":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"scopes\":\"string\",\"active\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"scopes\":\"string\",\"active\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42"
payload := strings.NewReader("{\"data\":{\"scopes\":\"string\",\"active\":true}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/opendata/oauth/server_clients_permission/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"scopes": "string",
"active": true
}
}),
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"scopes": "string",
"active": true,
"is_dg": true,
"selected_customer": {
"id": 42,
"slackchannel": "string",
"displayname": "string",
"deleted": true,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
}